<?php

namespace Drupal\Tests\tour\Functional\Block;

use Drupal\Tests\tour\Functional\TourTestBase;

/**
 * Tests the Custom Blocks List tour.
 *
 * @group tour
 */
class CustomBlocksListTourTest extends TourTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['block', 'tour', 'block_content'];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->drupalLogin($this->drupalCreateUser([
      'administer block types',
      'administer blocks',
      'access tour',
    ]));
    $this->drupalPlaceBlock('local_actions_block');
  }

  /**
   * Tests Custom Blocks List tour tip availability.
   */
  public function testCustomBlocksListTourTips(): void {
    $this->drupalGet('admin/structure/block-content');
    $this->assertTourTips();
  }

}
