<?php

namespace Drupal\Tests\tour\Functional\Content;

use Drupal\Tests\tour\Functional\TourTestBase;

/**
 * Tests the Content Admin view.
 *
 * @group tour
 */
class ContentAdminViewTest extends TourTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['block', 'node', 'tour', 'views'];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    // Setup user.
    $admin_user = $this->drupalCreateUser([
      'access administration pages',
      'access content overview',
      'access tour',
    ]);
    $this->drupalLogin($admin_user);

    $this->drupalPlaceBlock('local_actions_block');
  }

  /**
   * Tests Admin content tour tip availability.
   */
  public function testAdminContentViewTips(): void {
    $this->drupalGet('admin/content');
    $this->assertTourTips();
  }

}
