<?php

namespace Drupal\Tests\tour\Functional\Shortcut;

use Drupal\Tests\tour\Functional\TourTestBase;
use Drupal\user\UserInterface;

/**
 * Tests the Shortcut tour.
 *
 * @group tour
 */
class ShortcutTourTest extends TourTestBase {

  /**
   * An admin user with administrative permissions.
   *
   * @var \Drupal\user\UserInterface
   */
  protected UserInterface $adminUser;

  /**
   * The generated type we are using for testing.
   *
   * @var string
   */
  protected string $typeName;

  /**
   * Modules to install.
   *
   * @var array
   */
  protected static $modules = ['block', 'shortcut', 'tour'];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->adminUser = $this->drupalCreateUser([
      'administer blocks',
      'administer shortcuts',
      'access tour',
    ]);
    $this->drupalLogin($this->adminUser);
    $this->drupalPlaceBlock('local_actions_block');
  }

  /**
   * Tests Shortcut tour tip availability.
   */
  public function testShortcutTourTips(): void {
    $this->drupalGet('admin/config/user-interface/shortcut/manage/default/customize');
    $this->assertTourTips();
  }

}
